Bug 1281480 - QtCreator shows black window parts
QtCreator shows black window parts
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: qt5-qtbase (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
: 1303337 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 10:44 EST by Elia Devito
Modified: 2016-12-20 10:44 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:44:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (47.32 KB, image/png)
2015-11-12 10:44 EST, Elia Devito
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-46919 None None None Never
Qt Bug Tracker QTBUG-48130 None None None Never

  None (edit)
Description Elia Devito 2015-11-12 10:44:45 EST
Created attachment 1093368 [details]
Screenshot

Description of problem:
see screenshot

Additional info:

XDG_CURRENT_DESKTOP=none qtcreator seem a valid workaround
Comment 1 Sandro Mani 2015-11-12 10:46:02 EST
Uhm, any display configuration changes involved? Any output on the terminal?
Comment 2 Rex Dieter 2015-11-12 10:47:16 EST
And, what is the value of XDG_CURRENT_DESKTOP when the problem happens?
Comment 3 Elia Devito 2015-11-12 10:56:56 EST
my display configuration hasn't changed
qtcreator don't print any output on the terminal

only solution for me is to set XDG_CURRENT_DESKTOP=none

see QTBUG-46919

@Rex Dieter

$ echo $XDG_CURRENT_DESKTOP
  KDE
Comment 4 Sandro Mani 2015-11-27 16:05:31 EST
According to the upstream bug report [1], this issue will be fixed in Qt 5.6 beta.

[1] https://bugreports.qt.io/browse/QTBUG-48130?focusedCommentId=299167
Comment 5 Petr Majling 2016-01-30 20:59:19 EST
*** Bug 1303337 has been marked as a duplicate of this bug. ***
Comment 6 Fedora End Of Life 2016-11-24 08:21:01 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2016-12-20 10:44:30 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.